cURL
curl --request PATCH \
--url https://api.mottostreaming.com/cms/standings/v1/{standing_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"standing_id": "<string>",
"standing": {
"project_id": "<string>",
"entity_id": "<string>",
"entity_type": "<string>",
"standing_phase_ids": [
"<string>"
],
"applies_through": "2023-11-07T05:31:56Z"
},
"update_mask": "<string>"
}
'import requests
url = "https://api.mottostreaming.com/cms/standings/v1/{standing_id}"
payload = {
"standing_id": "<string>",
"standing": {
"project_id": "<string>",
"entity_id": "<string>",
"entity_type": "<string>",
"standing_phase_ids": ["<string>"],
"applies_through": "2023-11-07T05:31:56Z"
},
"update_mask": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
standing_id: '<string>',
standing: {
project_id: '<string>',
entity_id: '<string>',
entity_type: '<string>',
standing_phase_ids: ['<string>'],
applies_through: '2023-11-07T05:31:56Z'
},
update_mask: '<string>'
})
};
fetch('https://api.mottostreaming.com/cms/standings/v1/{standing_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"standing": {
"project_id": "<string>",
"entity_id": "<string>",
"entity_type": "<string>",
"standing_phase_ids": [
"<string>"
],
"id": "<string>",
"applies_through": "2023-11-07T05:31:56Z"
}
}{
"code": 123,
"message": "<string>",
"details": [
{
"@type": "<string>"
}
]
}Sports Standings
Update standing
UpdateStanding
Updates existing standing.
PATCH
/
cms
/
standings
/
v1
/
{standing_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
OK
An event happening at a certain time and location, such as a sports game, concert, lecture, or festival.
Show child attributes
Show child attributes
⌘I

